class OSRingExplosion3 expands RingExplosion3;

var bool bExtraEffectsSpawned;

simulated function Tick( float DeltaTime )
{
	if ( Level.NetMode != NM_DedicatedServer )
	{
		if ( !bExtraEffectsSpawned )
			SpawnExtraEffects();
		ScaleGlow = (Lifespan/Default.Lifespan);
		AmbientGlow = ScaleGlow * 255;
	}
}

simulated function PostBeginPlay()
{
	if ( Level.NetMode != NM_DedicatedServer )
	{
		PlayAnim( 'Explosion', 0.15 );
		SpawnEffects();
	}	
	if ( Instigator != None )
		MakeNoise(0.5);
}

simulated function SpawnEffects()
{
//	Spawn(class'BotPack.EnergyImpact');
	Super.SpawnEffects();
}

simulated function SpawnExtraEffects()
{
	 Spawn(class'BotPack.EnergyImpact');
	 bExtraEffectsSpawned = True;
}

defaultproperties
{
}